Index: DCWoRMS/branches/coolemall/example/room_result/Stats_Simulation_1_UsefulWork.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/room_result/Stats_Simulation_1_UsefulWork.txt	(revision 1371)
+++ DCWoRMS/branches/coolemall/example/room_result/Stats_Simulation_1_UsefulWork.txt	(revision 1485)
@@ -1,4 +1,4 @@
 usefulWork;Room1;1381227374000;688759992;
-usefulWork;Room1/Rack1;1381227374000;107147968;
+usefulWork;Room1/Rack1;1381227374000;91462188;
 usefulWork;Room1/Rack2;1381227374000;108976224;
 usefulWork;Room1/Rack3;1381227374000;149842308;
@@ -10,5 +10,5 @@
 usefulWork;Room1/Rack9;1381227374000;19023180;
 usefulWork;Room1/Rack10;1381227374000;15685780;
-usefulWork;Room1/Rack1/hp_proliant1;1381227374000;17514036;
+usefulWork;Room1/Rack1/hp_proliant1;1381227374000;9730020;
 usefulWork;Room1/Rack1/hp_proliant2;1381227374000;11676024;
 usefulWork;Room1/Rack1/hp_proliant3;1381227374000;15568032;
@@ -20,5 +20,5 @@
 usefulWork;Room1/Rack1/hp_proliant9;1381227374000;5838012;
 usefulWork;Room1/Rack1/hp_proliant10;1381227374000;7784016;
-usefulWork;Room1/Rack2/hp_proliant1;1381227374000;13622028;
+usefulWork;Room1/Rack2/hp_proliant1;1381227374000;5838012;
 usefulWork;Room1/Rack2/hp_proliant2;1381227374000;11676024;
 usefulWork;Room1/Rack2/hp_proliant3;1381227374000;11676024;
@@ -30,5 +30,5 @@
 usefulWork;Room1/Rack2/hp_proliant9;1381227374000;15568032;
 usefulWork;Room1/Rack2/hp_proliant10;1381227374000;7784016;
-usefulWork;Room1/Rack3/hp_proliant1;1381227374000;36974076;
+usefulWork;Room1/Rack3/hp_proliant1;1381227374000;7784016;
 usefulWork;Room1/Rack3/hp_proliant2;1381227374000;15568032;
 usefulWork;Room1/Rack3/hp_proliant3;1381227374000;11676024;
@@ -40,5 +40,5 @@
 usefulWork;Room1/Rack3/hp_proliant9;1381227374000;5838012;
 usefulWork;Room1/Rack3/hp_proliant10;1381227374000;29190060;
-usefulWork;Room1/Rack4/hp_proliant1;1381227374000;17514036;
+usefulWork;Room1/Rack4/hp_proliant1;1381227374000;9730020;
 usefulWork;Room1/Rack4/hp_proliant2;1381227374000;7784016;
 usefulWork;Room1/Rack4/hp_proliant3;1381227374000;9730020;
@@ -50,5 +50,5 @@
 usefulWork;Room1/Rack4/hp_proliant9;1381227374000;13622028;
 usefulWork;Room1/Rack4/hp_proliant10;1381227374000;7784016;
-usefulWork;Room1/Rack5/hp_proliant1;1381227374000;23352048;
+usefulWork;Room1/Rack5/hp_proliant1;1381227374000;19460040;
 usefulWork;Room1/Rack5/hp_proliant2;1381227374000;11676024;
 usefulWork;Room1/Rack5/hp_proliant3;1381227374000;7784016;
@@ -60,8 +60,8 @@
 usefulWork;Room1/Rack5/hp_proliant9;1381227374000;13622028;
 usefulWork;Room1/Rack5/hp_proliant10;1381227374000;3892008;
-usefulWork;Room1/Rack6/single_nodegroup1;1381227374000;5673580;
-usefulWork;Room1/Rack6/single_nodegroup2;1381227374000;5339840;
-usefulWork;Room1/Rack6/single_nodegroup3;1381227374000;6341060;
-usefulWork;Room1/Rack6/single_nodegroup4;1381227374000;667480;
+usefulWork;Room1/Rack6/single_nodegroup1;1381227374000;1001220;
+usefulWork;Room1/Rack6/single_nodegroup2;1381227374000;1334960;
+usefulWork;Room1/Rack6/single_nodegroup3;1381227374000;667480;
+usefulWork;Room1/Rack6/single_nodegroup4;1381227374000;333740;
 usefulWork;Room1/Rack6/single_nodegroup5;1381227374000;0;
 usefulWork;Room1/Rack6/single_nodegroup6;1381227374000;1001220;
@@ -100,8 +100,8 @@
 usefulWork;Room1/Rack6/single_nodegroup39;1381227374000;333740;
 usefulWork;Room1/Rack6/single_nodegroup40;1381227374000;333740;
-usefulWork;Room1/Rack7/single_nodegroup1;1381227374000;4338620;
-usefulWork;Room1/Rack7/single_nodegroup2;1381227374000;6341060;
-usefulWork;Room1/Rack7/single_nodegroup3;1381227374000;7342280;
-usefulWork;Room1/Rack7/single_nodegroup4;1381227374000;2002440;
+usefulWork;Room1/Rack7/single_nodegroup1;1381227374000;667480;
+usefulWork;Room1/Rack7/single_nodegroup2;1381227374000;333740;
+usefulWork;Room1/Rack7/single_nodegroup3;1381227374000;1668700;
+usefulWork;Room1/Rack7/single_nodegroup4;1381227374000;333740;
 usefulWork;Room1/Rack7/single_nodegroup5;1381227374000;0;
 usefulWork;Room1/Rack7/single_nodegroup6;1381227374000;333740;
@@ -140,8 +140,8 @@
 usefulWork;Room1/Rack7/single_nodegroup39;1381227374000;333740;
 usefulWork;Room1/Rack7/single_nodegroup40;1381227374000;1668700;
-usefulWork;Room1/Rack8/single_nodegroup1;1381227374000;6674800;
-usefulWork;Room1/Rack8/single_nodegroup2;1381227374000;5673580;
-usefulWork;Room1/Rack8/single_nodegroup3;1381227374000;5673580;
-usefulWork;Room1/Rack8/single_nodegroup4;1381227374000;667480;
+usefulWork;Room1/Rack8/single_nodegroup1;1381227374000;667480;
+usefulWork;Room1/Rack8/single_nodegroup2;1381227374000;333740;
+usefulWork;Room1/Rack8/single_nodegroup3;1381227374000;333740;
+usefulWork;Room1/Rack8/single_nodegroup4;1381227374000;333740;
 usefulWork;Room1/Rack8/single_nodegroup5;1381227374000;0;
 usefulWork;Room1/Rack8/single_nodegroup6;1381227374000;1001220;
@@ -180,8 +180,8 @@
 usefulWork;Room1/Rack8/single_nodegroup39;1381227374000;333740;
 usefulWork;Room1/Rack8/single_nodegroup40;1381227374000;333740;
-usefulWork;Room1/Rack9/single_nodegroup1;1381227374000;5673580;
-usefulWork;Room1/Rack9/single_nodegroup2;1381227374000;5006100;
-usefulWork;Room1/Rack9/single_nodegroup3;1381227374000;5006100;
-usefulWork;Room1/Rack9/single_nodegroup4;1381227374000;1668700;
+usefulWork;Room1/Rack9/single_nodegroup1;1381227374000;333740;
+usefulWork;Room1/Rack9/single_nodegroup2;1381227374000;667480;
+usefulWork;Room1/Rack9/single_nodegroup3;1381227374000;1668700;
+usefulWork;Room1/Rack9/single_nodegroup4;1381227374000;1001220;
 usefulWork;Room1/Rack9/single_nodegroup5;1381227374000;333740;
 usefulWork;Room1/Rack9/single_nodegroup6;1381227374000;0;
@@ -220,8 +220,8 @@
 usefulWork;Room1/Rack9/single_nodegroup39;1381227374000;333740;
 usefulWork;Room1/Rack9/single_nodegroup40;1381227374000;667480;
-usefulWork;Room1/Rack10/single_nodegroup1;1381227374000;2002440;
-usefulWork;Room1/Rack10/single_nodegroup2;1381227374000;4338620;
-usefulWork;Room1/Rack10/single_nodegroup3;1381227374000;4338620;
-usefulWork;Room1/Rack10/single_nodegroup4;1381227374000;1668700;
+usefulWork;Room1/Rack10/single_nodegroup1;1381227374000;1001220;
+usefulWork;Room1/Rack10/single_nodegroup2;1381227374000;333740;
+usefulWork;Room1/Rack10/single_nodegroup3;1381227374000;333740;
+usefulWork;Room1/Rack10/single_nodegroup4;1381227374000;1001220;
 usefulWork;Room1/Rack10/single_nodegroup5;1381227374000;1001220;
 usefulWork;Room1/Rack10/single_nodegroup6;1381227374000;333740;