Index: DCWoRMS/branches/coolemall/src/test/powerCapping/workloadgen/conf/WorkloadConfig1Rack.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/powerCapping/workloadgen/conf/WorkloadConfig1Rack.xml	(revision 1323)
+++ 	(revision )
@@ -1,38 +1,0 @@
-<tns:WorkloadConfiguration 
-	xmlns:tns="http://www.man.poznan.pl/WorkloadSchema" 
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
- 
-  	<SimulationStartTime>2014-03-06T10:00:00</SimulationStartTime>
- 
-	<JobCount avg="1000" distribution="constant"/>
- 
-	<TaskCount avg="1" distribution="constant"/>
- 
-	<TaskLength avg="3600" min="3600" max="3600" stdev="0.0" distribution="normal"/>
- 
-	<JobPackageLength avg="1.0" min="1.0" max="1.0" stdev="0.0" distribution="constant"/>
-	
-	<JobInterval avg="5" min="1" max="10" stdev="5">
-	    <PeriodicValidValues avg="20" min="10" max="30" stdev="10" distribution="poisson" seed="47">
-     		<BeginValidTime>2014-03-06T10:00:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T10:10:00</EndValidTime>
-   		</PeriodicValidValues>
-    	<PeriodicValidValues avg="3" min="1" max="5" stdev="2" distribution="poisson" seed="21">
-       		<BeginValidTime>2014-03-06T10:10:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T10:20:00</EndValidTime>
-    	</PeriodicValidValues>
- 	</JobInterval>
- 
-	<ComputingResourceHostParameter metric="cpucount">
-		<value id="cpucnt">
-	  		<MultiDistribution>
-      			<dist avg="1" min="1" max="1" stdev="0" distribution="uniform">0.1</dist>
-     		 	<dist avg="4" min="4" max="4" stdev="0" distribution="uniform">0.6</dist>
-     		 	<dist avg="6" min="6" max="6" stdev="0" distribution="uniform">0.3</dist>
-   			</MultiDistribution>
-   		</value>	
-	</ComputingResourceHostParameter> 
- 
-</tns:WorkloadConfiguration>
-
-
Index: DCWoRMS/branches/coolemall/src/test/powerCapping/workloadgen/conf/WorkloadConfig2ndDraft.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/powerCapping/workloadgen/conf/WorkloadConfig2ndDraft.xml	(revision 1323)
+++ 	(revision )
@@ -1,63 +1,0 @@
-<tns:WorkloadConfiguration 
-	xmlns:tns="http://www.man.poznan.pl/WorkloadSchema" 
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
- 
-  	<SimulationStartTime>2014-03-06T10:00:00</SimulationStartTime>
- 
-	<JobCount avg="1280" distribution="constant"/>
- 
-	<TaskCount avg="1" distribution="constant"/>
- 
-	<TaskLength avg="3600" min="3600" max="3600" stdev="0.0" distribution="normal">
- 		<PeriodicValidValues avg="3600" min="3600" max="3600" stdev="0.0" distribution="normal">
-     		<BeginValidTime>2014-03-06T10:00:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T12:30:00</EndValidTime>
-   		</PeriodicValidValues>
-	    <PeriodicValidValues avg="2700" min="2700" max="2700" stdev="0.0" distribution="normal">
-     		<BeginValidTime>2014-03-06T12:30:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T13:00:00</EndValidTime>
-   		</PeriodicValidValues>
- 	</TaskLength>
- 	
-	<JobPackageLength avg="1.0" min="1.0" max="1.0" stdev="0.0" distribution="constant"/>
-	
-	<JobInterval avg="180" min="1" max="360" stdev="180">
-		<PeriodicValidValues avg="5" min="2" max="10" stdev="6" distribution="poisson" seed="21">
-     		<BeginValidTime>2014-03-06T10:03:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T10:14:00</EndValidTime>
-   		</PeriodicValidValues>
-	    <PeriodicValidValues avg="3" min="1" max="5" stdev="2" distribution="poisson" seed="5">
-     		<BeginValidTime>2014-03-06T10:18:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T10:50:00</EndValidTime>
-   		</PeriodicValidValues>
-   		<PeriodicValidValues avg="18" min="6" max="30" stdev="12" distribution="poisson" seed="47">
-       		<BeginValidTime>2014-03-06T11:30:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T11:50:00</EndValidTime>
-    	</PeriodicValidValues>
-    	<PeriodicValidValues avg="3" min="1" max="5" stdev="2" distribution="poisson" seed="5">
-       		<BeginValidTime>2014-03-06T11:50:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T12:04:00</EndValidTime>
-    	</PeriodicValidValues>
-    	   		<PeriodicValidValues avg="18" min="6" max="30" stdev="12" distribution="poisson" seed="47">
-       		<BeginValidTime>2014-03-06T11:58:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T12:30:00</EndValidTime>
-    	</PeriodicValidValues>
-    	<PeriodicValidValues avg="2" min="1" max="3" stdev="1" distribution="poisson" seed="49">
-       		<BeginValidTime>2014-03-06T12:30:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T13:00:00</EndValidTime>
-    	</PeriodicValidValues>
- 	</JobInterval>
- 
-	<ComputingResourceHostParameter metric="cpucount">
-		<value id="cpucnt">
-	  		<MultiDistribution>
-      			<dist avg="1" min="1" max="1" stdev="0" distribution="uniform">0.2</dist>
-     		 	<dist avg="4" min="4" max="4" stdev="0" distribution="uniform">0.5</dist>
-     		 	<dist avg="6" min="6" max="6" stdev="0" distribution="uniform">0.3</dist>
-   			</MultiDistribution>
-   		</value>	
-	</ComputingResourceHostParameter> 
- 
-</tns:WorkloadConfiguration>
-
-
Index: DCWoRMS/branches/coolemall/src/test/powerCapping/workloadgen/conf/WorkloadConfig1stDraft.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/powerCapping/workloadgen/conf/WorkloadConfig1stDraft.xml	(revision 1323)
+++ 	(revision )
@@ -1,54 +1,0 @@
-<tns:WorkloadConfiguration 
-	xmlns:tns="http://www.man.poznan.pl/WorkloadSchema" 
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
- 
-  	<SimulationStartTime>2014-03-06T10:00:00</SimulationStartTime>
- 
-	<JobCount avg="1260" distribution="constant"/>
- 
-	<TaskCount avg="1" distribution="constant"/>
- 
-	<TaskLength avg="3600" min="3600" max="3600" stdev="0.0" distribution="normal"/>
- 
-	<JobPackageLength avg="1.0" min="1.0" max="1.0" stdev="0.0" distribution="constant"/>
-	
-	<JobInterval avg="180" min="1" max="360" stdev="180">
-		<PeriodicValidValues avg="5" min="2" max="10" stdev="6" distribution="poisson" seed="21">
-     		<BeginValidTime>2014-03-06T10:03:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T10:14:00</EndValidTime>
-   		</PeriodicValidValues>
-	    <PeriodicValidValues avg="3" min="1" max="5" stdev="2" distribution="poisson" seed="5">
-     		<BeginValidTime>2014-03-06T10:18:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T10:50:00</EndValidTime>
-   		</PeriodicValidValues>
-   		<PeriodicValidValues avg="18" min="6" max="30" stdev="12" distribution="poisson" seed="47">
-       		<BeginValidTime>2014-03-06T11:30:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T11:50:00</EndValidTime>
-    	</PeriodicValidValues>
-    	<PeriodicValidValues avg="3" min="1" max="5" stdev="2" distribution="poisson" seed="5">
-       		<BeginValidTime>2014-03-06T11:50:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T12:02:00</EndValidTime>
-    	</PeriodicValidValues>
-    	   		<PeriodicValidValues avg="18" min="6" max="30" stdev="12" distribution="poisson" seed="47">
-       		<BeginValidTime>2014-03-06T11:58:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T12:30:00</EndValidTime>
-    	</PeriodicValidValues>
-    	<PeriodicValidValues avg="2" min="1" max="3" stdev="1" distribution="poisson" seed="49">
-       		<BeginValidTime>2014-03-06T12:30:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T13:00:00</EndValidTime>
-    	</PeriodicValidValues>
- 	</JobInterval>
- 
-	<ComputingResourceHostParameter metric="cpucount">
-		<value id="cpucnt">
-	  		<MultiDistribution>
-      			<dist avg="1" min="1" max="1" stdev="0" distribution="uniform">0.2</dist>
-     		 	<dist avg="4" min="4" max="4" stdev="0" distribution="uniform">0.5</dist>
-     		 	<dist avg="6" min="6" max="6" stdev="0" distribution="uniform">0.3</dist>
-   			</MultiDistribution>
-   		</value>	
-	</ComputingResourceHostParameter> 
- 
-</tns:WorkloadConfiguration>
-
-
Index: DCWoRMS/branches/coolemall/src/test/powerCapping/workloadgen/conf/WorkloadConfig.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/powerCapping/workloadgen/conf/WorkloadConfig.xml	(revision 1323)
+++ 	(revision )
@@ -1,65 +1,0 @@
-<tns:WorkloadConfiguration 
-	xmlns:tns="http://www.man.poznan.pl/WorkloadSchema" 
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
- 
-  	<SimulationStartTime>2014-03-06T10:00:00</SimulationStartTime>
- 
-	<JobCount avg="1760" distribution="constant"/>
- 
-	<TaskCount avg="1" distribution="constant"/>
- 
-	<TaskLength avg="3600" min="3600" max="3600" stdev="0.0" distribution="normal">
- 		<PeriodicValidValues avg="3600" min="3600" max="3600" stdev="0.0" distribution="normal">
-     		<BeginValidTime>2014-03-06T10:00:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T12:30:00</EndValidTime>
-   		</PeriodicValidValues>
-	    <PeriodicValidValues avg="2700" min="2700" max="2700" stdev="0.0" distribution="normal">
-     		<BeginValidTime>2014-03-06T12:30:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T13:00:00</EndValidTime>
-   		</PeriodicValidValues>
- 	</TaskLength>
- 	
-	<JobPackageLength avg="1.0" min="1.0" max="1.0" stdev="0.0" distribution="constant"/>
-	
-	<JobInterval avg="180" min="1" max="360" stdev="180">
-		<PeriodicValidValues avg="5" min="2" max="10" stdev="6" distribution="poisson" seed="21">
-     		<BeginValidTime>2014-03-06T10:03:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T10:14:00</EndValidTime>
-   		</PeriodicValidValues>
-	    <PeriodicValidValues avg="2" min="1" max="3" stdev="2" distribution="poisson" seed="5">
-     		<BeginValidTime>2014-03-06T10:18:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T10:50:00</EndValidTime>
-   		</PeriodicValidValues>
-   		<PeriodicValidValues avg="18" min="6" max="30" stdev="12" distribution="poisson" seed="47">
-       		<BeginValidTime>2014-03-06T11:30:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T11:50:00</EndValidTime>
-    	</PeriodicValidValues>
-    	<PeriodicValidValues avg="2" min="1" max="3" stdev="2" distribution="poisson" seed="5">
-       		<BeginValidTime>2014-03-06T11:50:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T12:04:00</EndValidTime>
-    	</PeriodicValidValues>
-    	   		<PeriodicValidValues avg="18" min="6" max="30" stdev="12" distribution="poisson" seed="47">
-       		<BeginValidTime>2014-03-06T11:58:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T12:30:00</EndValidTime>
-    	</PeriodicValidValues>
-    	<PeriodicValidValues avg="2" min="1" max="3" stdev="1" distribution="poisson" seed="49">
-       		<BeginValidTime>2014-03-06T12:30:00</BeginValidTime>
-      		<EndValidTime>2014-03-06T13:00:00</EndValidTime>
-    	</PeriodicValidValues>
- 	</JobInterval>
- 
-	<ComputingResourceHostParameter metric="cpucount">
-		<value id="cpucnt">
-	  		<MultiDistribution>
-      			<dist avg="1" min="1" max="1" stdev="0" distribution="uniform">0.2</dist>
-     		 	<dist avg="4" min="4" max="4" stdev="0" distribution="uniform">0.5</dist>
-     		 	<dist avg="6" min="6" max="6" stdev="0" distribution="uniform">0.3</dist>
-   			</MultiDistribution>
-   		</value>	
-	</ComputingResourceHostParameter> 
- 
-</tns:WorkloadConfiguration>
-
-
-
-