Index: DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_03.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_03.xml	(revision 1496)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<job id="3">
-   <task id="0">
-      <requirements>
-         <resourceRequirements>
-            <computingResource>
-               <hostParameter name="cpucount">
-                  <value>2.0</value>
-               </hostParameter>
-            </computingResource>
-         </resourceRequirements>
-      </requirements>
-   </task>
-</job>
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_04.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_04.xml	(revision 1496)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<job id="4">
-   <task id="0">
-      <requirements>
-         <resourceRequirements>
-            <computingResource>
-               <hostParameter name="cpucount">
-                  <value>4.0</value>
-               </hostParameter>
-            </computingResource>
-         </resourceRequirements>
-      </requirements>
-   </task>
-</job>
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_05.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_05.xml	(revision 1496)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<job id="5">
-   <task id="0">
-      <requirements>
-         <resourceRequirements>
-            <computingResource>
-               <hostParameter name="cpucount">
-                  <value>2.0</value>
-               </hostParameter>
-            </computingResource>
-         </resourceRequirements>
-      </requirements>
-   </task>
-</job>
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_06.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_06.xml	(revision 1496)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<job id="6">
-   <task id="0">
-      <requirements>
-         <resourceRequirements>
-            <computingResource>
-               <hostParameter name="cpucount">
-                  <value>4.0</value>
-               </hostParameter>
-            </computingResource>
-         </resourceRequirements>
-      </requirements>
-   </task>
-</job>
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_07.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_07.xml	(revision 1496)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<job id="7">
-   <task id="0">
-      <requirements>
-         <resourceRequirements>
-            <computingResource>
-               <hostParameter name="cpucount">
-                  <value>1.0</value>
-               </hostParameter>
-            </computingResource>
-         </resourceRequirements>
-      </requirements>
-   </task>
-</job>
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_08.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_08.xml	(revision 1496)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<job id="8">
-   <task id="0">
-      <requirements>
-         <resourceRequirements>
-            <computingResource>
-               <hostParameter name="cpucount">
-                  <value>4.0</value>
-               </hostParameter>
-            </computingResource>
-         </resourceRequirements>
-      </requirements>
-   </task>
-</job>
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/workload/workload.swf
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/workload/workload.swf	(revision 1496)
+++ 	(revision )
@@ -1,27 +1,0 @@
-;Automatically generated workload description by the Data Center Workload and Resource Management Simulator
-;		j|		s|		w|		r|		c|		c|		m|		p|		t|		m|		s|		u|		g|		e|		q|		p|		p|		t|
-;		o|		u|		a|		u|		p|		p|		e|		r|		i|		e|		t|		i|		i|		x|		u|		a|		r|		h|
-;		b|		b|		i|		n|		u|		u|		m|		o|		m|		m|		a|		d|		d|		e|		e|		r|		e|		i|
-;		 |		m|		t|		t|		 |		 |		 |		c|		e|		 |		t|		 |		 |		c|		u|		t|		c|		n|
-;		 |		i|		 |		i|		a|		t|		u|		 |		 |		r|		u|		 |		 |		u|		e|		i|		 |		k|
-;		 |		t|		 |		m|		l|		i|		s|		r|		r|		e|		s|		 |		 |		t|		 |		t|		j|		 |
-;		 |		 |		 |		e|		l|		m|		e|		e|		e|		q|		 |		 |		 |		a|		n|		i|		o|		t|
-;		 |		 |		 |		 |		o|		e|		d|		q|		q|		 |		 |		 |		 |		b|		r|		o|		b|		i|
-;		 |		 |		 |		 |		c|		 |		 |		 |		 |		 |		 |		 |		 |		l|		 |		n|		 |		m|
-;		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		e|		 |		 |		 |		e|
-;PUSpeed: 1
-;StartTime: Thu Jan 15 10:00:00 CET 2009
-		0		0		-1		514		2		-1		-1		2		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		1		0		-1		514		1		-1		-1		1		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		2		1		-1		514		4		-1		-1		4		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		3		1		-1		514		2		-1		-1		2		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		4		1		-1		514		4		-1		-1		4		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		5		2		-1		514		2		-1		-1		2		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		6		3		-1		514		4		-1		-1		4		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		7		3		-1		514		1		-1		-1		1		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		8		4		-1		514		4		-1		-1		4		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		9		5		-1		514		2		-1		-1		2		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-;IDMapping: swfID:jobID:taskID
-; 0:0:0, 1:1:0, 2:2:0, 3:3:0, 4:4:0, 5:5:0, 6:6:0, 7:7:0, 8:8:0, 9:9:0, 
-; 
-;IDMapping: end
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_09.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_09.xml	(revision 1496)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<job id="9">
-   <task id="0">
-      <requirements>
-         <resourceRequirements>
-            <computingResource>
-               <hostParameter name="cpucount">
-                  <value>2.0</value>
-               </hostParameter>
-            </computingResource>
-         </resourceRequirements>
-      </requirements>
-   </task>
-</job>
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/workload/workload.swf_original.swf
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/workload/workload.swf_original.swf	(revision 1496)
+++ 	(revision )
@@ -1,26 +1,0 @@
-;Automatically generated workload description by the Data Center Workload and Resource Management Simulator
-;		j|		s|		w|		r|		c|		c|		m|		p|		t|		m|		s|		u|		g|		e|		q|		p|		p|		t|
-;		o|		u|		a|		u|		p|		p|		e|		r|		i|		e|		t|		i|		i|		x|		u|		a|		r|		h|
-;		b|		b|		i|		n|		u|		u|		m|		o|		m|		m|		a|		d|		d|		e|		e|		r|		e|		i|
-;		 |		m|		t|		t|		 |		 |		 |		c|		e|		 |		t|		 |		 |		c|		u|		t|		c|		n|
-;		 |		i|		 |		i|		a|		t|		u|		 |		 |		r|		u|		 |		 |		u|		e|		i|		 |		k|
-;		 |		t|		 |		m|		l|		i|		s|		r|		r|		e|		s|		 |		 |		t|		 |		t|		j|		 |
-;		 |		 |		 |		e|		l|		m|		e|		e|		e|		q|		 |		 |		 |		a|		n|		i|		o|		t|
-;		 |		 |		 |		 |		o|		e|		d|		q|		q|		 |		 |		 |		 |		b|		r|		o|		b|		i|
-;		 |		 |		 |		 |		c|		 |		 |		 |		 |		 |		 |		 |		 |		l|		 |		n|		 |		m|
-;		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		e|		 |		 |		 |		e|
-;StartTime: Thu Jan 15 10:00:00 CET 2009
-		0		0		-1		514		2		-1		-1		2		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		1		0		-1		514		1		-1		-1		1		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		2		1		-1		514		4		-1		-1		4		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		3		1		-1		514		2		-1		-1		2		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		4		1		-1		514		4		-1		-1		4		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		5		2		-1		514		2		-1		-1		2		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		6		3		-1		514		4		-1		-1		4		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		7		3		-1		514		1		-1		-1		1		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		8		4		-1		514		4		-1		-1		4		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		9		5		-1		514		2		-1		-1		2		514		-1		-1		-1		-1		-1		-1		-1		-1		-1
-;IDMapping: swfID:jobID:taskID
-; 0:0:0, 1:1:0, 2:2:0, 3:3:0, 4:4:0, 5:5:0, 6:6:0, 7:7:0, 8:8:0, 9:9:0, 
-; 
-;IDMapping: end
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_00.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_00.xml	(revision 1496)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<job id="0">
-   <task id="0">
-      <requirements>
-         <resourceRequirements>
-            <computingResource>
-               <hostParameter name="cpucount">
-                  <value>2.0</value>
-               </hostParameter>
-            </computingResource>
-         </resourceRequirements>
-      </requirements>
-   </task>
-</job>
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_01.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_01.xml	(revision 1496)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<job id="1">
-   <task id="0">
-      <requirements>
-         <resourceRequirements>
-            <computingResource>
-               <hostParameter name="cpucount">
-                  <value>1.0</value>
-               </hostParameter>
-            </computingResource>
-         </resourceRequirements>
-      </requirements>
-   </task>
-</job>
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_02.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/workload/Job_02.xml	(revision 1496)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<job id="2">
-   <task id="0">
-      <requirements>
-         <resourceRequirements>
-            <computingResource>
-               <hostParameter name="cpucount">
-                  <value>4.0</value>
-               </hostParameter>
-            </computingResource>
-         </resourceRequirements>
-      </requirements>
-   </task>
-</job>
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/conf/WorkloadOpenssl30.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/conf/WorkloadOpenssl30.xml	(revision 1355)
+++ 	(revision )
@@ -1,27 +1,0 @@
-<tns:WorkloadConfiguration 
-	xmlns:tns="http://www.man.poznan.pl/WorkloadSchema" 
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
- 
-  	<SimulationStartTime>2009-01-15T10:00:00</SimulationStartTime>
- 
-	<JobCount avg="2600" distribution="constant"/>
- 
-	<TaskCount avg="1" distribution="constant"/>
- 
-	<TaskLength avg="514" min="514" max="514" stdev="0.0" distribution="normal"/>
- 
-	<JobPackageLength avg="1.0" min="1.0" max="1.0" stdev="0.0" distribution="constant"/>
- 
-	<JobInterval avg="1" min="0" max="2" stdev="1" distribution="poisson" seed="21"/>
-	
-	<ComputingResourceHostParameter metric="cpucount">
-		<value id="cpucnt">
-	  		<MultiDistribution>
-      			<dist avg="1" min="1" max="1" stdev="0" distribution="uniform">1.0</dist>
-   			</MultiDistribution>
-   		</value>	
-	</ComputingResourceHostParameter> 
- 
-</tns:WorkloadConfiguration>
-
-
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/conf/WorkloadOpenssl50.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/conf/WorkloadOpenssl50.xml	(revision 1355)
+++ 	(revision )
@@ -1,27 +1,0 @@
-<tns:WorkloadConfiguration 
-	xmlns:tns="http://www.man.poznan.pl/WorkloadSchema" 
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
- 
-  	<SimulationStartTime>2009-01-15T10:00:00</SimulationStartTime>
- 
-	<JobCount avg="4200" distribution="constant"/>
- 
-	<TaskCount avg="1" distribution="constant"/>
- 
-	<TaskLength avg="514" min="514" max="514" stdev="0.0" distribution="normal"/>
- 
-	<JobPackageLength avg="1.0" min="1.0" max="1.0" stdev="0.0" distribution="constant"/>
- 
-	<JobInterval avg="1" min="0" max="1" stdev="1" distribution="poisson" seed="21"/>
-	
-	<ComputingResourceHostParameter metric="cpucount">
-		<value id="cpucnt">
-	  		<MultiDistribution>
-      			<dist avg="1" min="1" max="1" stdev="0" distribution="uniform">1.0</dist>
-   			</MultiDistribution>
-   		</value>	
-	</ComputingResourceHostParameter> 
- 
-</tns:WorkloadConfiguration>
-
-
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/conf/WorkloadMixed30.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/conf/WorkloadMixed30.xml	(revision 1355)
+++ 	(revision )
@@ -1,29 +1,0 @@
-<tns:WorkloadConfiguration 
-	xmlns:tns="http://www.man.poznan.pl/WorkloadSchema" 
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
- 
-  	<SimulationStartTime>2009-01-15T10:00:00</SimulationStartTime>
- 
-	<JobCount avg="2000" distribution="constant"/>
- 
-	<TaskCount avg="1" distribution="constant"/>
- 
-	<TaskLength avg="514" min="514" max="514" stdev="0.0" distribution="normal"/>
- 
-	<JobPackageLength avg="1.0" min="1.0" max="1.0" stdev="0.0" distribution="constant"/>
- 
-	<JobInterval avg="1" min="0" max="1" stdev="1" distribution="poisson" seed="21"/>
-	
-	<ComputingResourceHostParameter metric="cpucount">
-		<value id="cpucnt">
-	  		<MultiDistribution>
-      			<dist avg="1" min="1" max="1" stdev="0" distribution="uniform">0.33</dist>
-     		 	<dist avg="2" min="2" max="2" stdev="0" distribution="uniform">0.33</dist>
-     		 	<dist avg="4" min="4" max="4" stdev="0" distribution="uniform">0.34</dist>
-   			</MultiDistribution>
-   		</value>	
-	</ComputingResourceHostParameter> 
- 
-</tns:WorkloadConfiguration>
-
-
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/conf/WorkloadMixed50.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/conf/WorkloadMixed50.xml	(revision 1370)
+++ 	(revision )
@@ -1,29 +1,0 @@
-<tns:WorkloadConfiguration 
-	xmlns:tns="http://www.man.poznan.pl/WorkloadSchema" 
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
- 
-  	<SimulationStartTime>2009-01-15T10:00:00</SimulationStartTime>
- 
-	<JobCount avg="3200" distribution="constant"/>
- 
-	<TaskCount avg="1" distribution="constant"/>
- 
-	<TaskLength avg="514" min="514" max="514" stdev="0.0" distribution="normal"/>
- 
-	<JobPackageLength avg="1.0" min="1.0" max="1.0" stdev="0.0" distribution="constant"/>
- 
-	<JobInterval avg="1" min="0" max="1" stdev="1" distribution="poisson" seed="21"/>
-	
-	<ComputingResourceHostParameter metric="cpucount">
-		<value id="cpucnt">
-	  		<MultiDistribution>
-      			<dist avg="1" min="1" max="1" stdev="0" distribution="uniform">0.33</dist>
-     		 	<dist avg="2" min="2" max="2" stdev="0" distribution="uniform">0.33</dist>
-     		 	<dist avg="4" min="4" max="4" stdev="0" distribution="uniform">0.34</dist>
-   			</MultiDistribution>
-   		</value>	
-	</ComputingResourceHostParameter> 
- 
-</tns:WorkloadConfiguration>
-
-
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/conf/WorkloadMixed70.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/conf/WorkloadMixed70.xml	(revision 1370)
+++ 	(revision )
@@ -1,29 +1,0 @@
-<tns:WorkloadConfiguration 
-	xmlns:tns="http://www.man.poznan.pl/WorkloadSchema" 
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
- 
-  	<SimulationStartTime>2009-01-15T10:00:00</SimulationStartTime>
- 
-	<JobCount avg="5000" distribution="constant"/>
- 
-	<TaskCount avg="1" distribution="constant"/>
- 
-	<TaskLength avg="514" min="514" max="514" stdev="0.0" distribution="normal"/>
- 
-	<JobPackageLength avg="1.0" min="1.0" max="1.0" stdev="0.0" distribution="constant"/>
- 
-	<JobInterval avg="1" min="0" max="1" stdev="1" distribution="poisson" seed="21"/>
-	
-	<ComputingResourceHostParameter metric="cpucount">
-		<value id="cpucnt">
-	  		<MultiDistribution>
-      			<dist avg="1" min="1" max="1" stdev="0" distribution="uniform">0.33</dist>
-     		 	<dist avg="2" min="2" max="2" stdev="0" distribution="uniform">0.33</dist>
-     		 	<dist avg="4" min="4" max="4" stdev="0" distribution="uniform">0.34</dist>
-   			</MultiDistribution>
-   		</value>	
-	</ComputingResourceHostParameter> 
- 
-</tns:WorkloadConfiguration>
-
-
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/conf/WorkloadConfig.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/conf/WorkloadConfig.xml	(revision 1355)
+++ 	(revision )
@@ -1,29 +1,0 @@
-<tns:WorkloadConfiguration 
-	xmlns:tns="http://www.man.poznan.pl/WorkloadSchema" 
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
- 
-  	<SimulationStartTime>2009-01-15T10:00:00</SimulationStartTime>
- 
-	<JobCount avg="1000" distribution="constant"/>
- 
-	<TaskCount avg="1" distribution="constant"/>
- 
-	<TaskLength avg="514" min="514" max="514" stdev="0.0" distribution="normal"/>
- 
-	<JobPackageLength avg="1.0" min="1.0" max="1.0" stdev="0.0" distribution="constant"/>
- 
-	<JobInterval avg="3" min="1" max="5" stdev="2" distribution="poisson" seed="21"/>
-	
-	<ComputingResourceHostParameter metric="cpucount">
-		<value id="cpucnt">
-	  		<MultiDistribution>
-      			<dist avg="1" min="1" max="1" stdev="0" distribution="uniform">0.1</dist>
-     		 	<dist avg="4" min="4" max="4" stdev="0" distribution="uniform">0.6</dist>
-     		 	<dist avg="6" min="6" max="6" stdev="0" distribution="uniform">0.3</dist>
-   			</MultiDistribution>
-   		</value>	
-	</ComputingResourceHostParameter> 
- 
-</tns:WorkloadConfiguration>
-
-
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/resources.xml
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/resources.xml	(revision 1354)
+++ 	(revision )
@@ -1,27 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCWormsResSchema.xsd">
-	
-	<!-- Simple data center description -->
-	<resources>
-		<computingResource class="DataCenter" name="compRes">
-			<!-- Defined data center contains only 6 processors -->
-			<computingResource class="Processor" count="6">
-				<parameter name="speed">
-					<value>1</value>
-				</parameter>
-			</computingResource>
-		</computingResource>
-		<scheduler class="Cluster" name="cluster">
-			<!-- Definition of scheduling plugin at cluster level -->
-			<schedulingPlugin>
-				<name>example.localplugin.FCFSBF_LocalPlugin</name>
-			</schedulingPlugin>	
-			<!-- Reference to managed resources - cluster manages resources belonging to the defined data center -->
-			<managedComputingResources include="false">
-				<resourceName>compRes</resourceName>
-			</managedComputingResources>
-		</scheduler>	
-	</resources>
-
-</environment>
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/RunWorkloadGenerator.java
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/RunWorkloadGenerator.java	(revision 1354)
+++ 	(revision )
@@ -1,20 +1,0 @@
-package room.workloadgen;
-
-import simulator.workload.generator.WorkloadGenerator;
-
-
-public class RunWorkloadGenerator {
-	
-	public static void main(String args[]){
-		RunWorkloadGenerator runner = new RunWorkloadGenerator();
-		runner.run();
-	}
-	
-	public void run(){
-		String args[] = {
-				"example/room/workloadgen/generator.properties"
-				};
-		WorkloadGenerator.main(args);
-	}
-
-}
Index: DCWoRMS/branches/coolemall/example/room/workloadgen/generator.properties
===================================================================
--- DCWoRMS/branches/coolemall/example/room/workloadgen/generator.properties	(revision 1354)
+++ 	(revision )
@@ -1,5 +1,0 @@
-resdesc=example/room/workloadgen/resources.xml
-createscenario.tasksdesc=example/room/workloadgen/conf/WorkloadMixed30.xml
-createscenario.outputfolder=example/room/workloadgen/workload
-createscenario.workloadfilename=workload.swf
-createscenario.overwrite_files=true