Index: /DCWoRMS/branches/coolemall/src/test/transitions/FCFS_ConsolidationHighPerf_NodePowMan_SP_Delay.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/transitions/FCFS_ConsolidationHighPerf_NodePowMan_SP_Delay.java	(revision 1443)
+++ /DCWoRMS/branches/coolemall/src/test/transitions/FCFS_ConsolidationHighPerf_NodePowMan_SP_Delay.java	(revision 1544)
@@ -6,5 +6,4 @@
 import java.util.Map;
 
-import org.joda.time.DateTime;
 
 import schedframe.events.scheduling.SchedulingEvent;
@@ -30,14 +29,8 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import test.Node_Fan_Mapping;
 import example.localplugin.BaseLocalSchedulingPlugin;
 import gridsim.dcworms.DCWormsTags;
 
 public class FCFS_ConsolidationHighPerf_NodePowMan_SP_Delay extends BaseLocalSchedulingPlugin {
-
-	public static int cnt = 0;
-	public FCFS_ConsolidationHighPerf_NodePowMan_SP_Delay () {
-		Node_Fan_Mapping.init();
-	}
 
 	public SchedulingPlanInterface<?> schedule(SchedulingEvent event, TaskQueueList queues, JobRegistry jobRegistry,
Index: /DCWoRMS/branches/coolemall/src/test/transitions/resources1.xml
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/transitions/resources1.xml	(revision 1442)
+++ /DCWoRMS/branches/coolemall/src/test/transitions/resources1.xml	(revision 1544)
@@ -23,5 +23,5 @@
 								<transition name="POWEROFF">
 								    <to>OFF</to>
-								    <powerUsage>500</powerUsage>
+								    <powerUsage>400</powerUsage>
 								    <time>15</time>
 								</transition>
@@ -32,6 +32,6 @@
 								<transition name="BOOT">
 								    <to>ON</to>
-								    <powerUsage>1000</powerUsage>
-								    <time>400</time>
+								    <powerUsage>500</powerUsage>
+								    <time>40</time>
 								</transition>
 							</powerState>
@@ -55,5 +55,5 @@
 									<transition name="POWEROFF">
 									    <to>OFF</to>
-									    <powerUsage>200</powerUsage>
+									    <powerUsage>150</powerUsage>
 									    <time>5</time>
 									</transition>
@@ -64,5 +64,5 @@
 									<transition name="BOOT">
 									    <to>ON</to>
-									    <powerUsage>400</powerUsage>
+									    <powerUsage>200</powerUsage>
 									    <time>20</time>
 									</transition>
Index: /DCWoRMS/branches/coolemall/src/test/transitions/workload.swf
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/transitions/workload.swf	(revision 1442)
+++ /DCWoRMS/branches/coolemall/src/test/transitions/workload.swf	(revision 1544)
@@ -15,17 +15,17 @@
 
 
-		1			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		2			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		3			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		4			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
- 		5			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
- 		6			0			-1		10800	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		1			0			-1		720		1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		2			0			-1		720		1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		3			0			-1		720		1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		4			0			-1		720		1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+ 		5			0			-1		720		1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+ 		6			0			-1		1800	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
 ; -----------
-		7			0			-1		14400	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		8			0			-1		28800	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		9			3600		-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-		10			21600		-1		21600	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
- 		11			25200		-1		25200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
- 		12			39600		-1		14400	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
-  		13			46800		-1		10800	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		7			0			-1		1440	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		8			0			-1		2880	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		9			360			-1		720		1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		10			2160		-1		2160	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+ 		11			2520		-1		2520	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+ 		12			3960		-1		1440	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+  		13			4680		-1		1080	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
  		
Index: WoRMS/branches/coolemall/src/test/transitions/DCWORMS_resources1.xml
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/transitions/DCWORMS_resources1.xml	(revision 1442)
+++ 	(revision )
@@ -1,23 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!--
-			This is DEBB information (taken from PLM XML and DEBBComponent
-			files), updated by schedulers and estimators. Moreover, all elements
-			are sorted and appear in correct order, according to the schema.
-		--><!--
-			Schedulers and estimators information is loaded from
-			coolemallPlugins.xml
-			file
-		--><environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-             xsi:noNamespaceSchemaLocation="../DCwormsResSchema.xsd">
-   <timeEstimationPlugin>
-      <name>example.timeestimation.coolemall.PhaseBasedTimeEstimationPlugin</name>
-   </timeEstimationPlugin>
-   <resources mode="CoolEmAll">
-      <scheduler class="Cluster" name="cluster">
-         <schedulingPlugin>
-            <name>example.localplugin.coolemall.computebox2.CB2_FCFS_Random_SP</name>
-         </schedulingPlugin>
-         <managedComputingResources include="false"/>
-      </scheduler>
-   </resources>
-</environment>