Index: DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_Metrics.txt
===================================================================
--- DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_Metrics.txt	(revision 1604)
+++ DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_Metrics.txt	(revision 1604)
@@ -0,0 +1,17 @@
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_EnergyUsage.txt
===================================================================
--- DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_EnergyUsage.txt	(revision 1604)
+++ DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_EnergyUsage.txt	(revision 1604)
@@ -0,0 +1,3 @@
+powerConsumption;node;1225666800000;-5;
+powerConsumption;node;1225684800000;-5;
+mean: -5.0 sum: -25.0
Index: DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_ResourceUtilization.txt
===================================================================
--- DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_ResourceUtilization.txt	(revision 1604)
+++ DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_ResourceUtilization.txt	(revision 1604)
@@ -0,0 +1,15 @@
+utlization;node;1225666800000;0.25;
+utlization;node;1225684800000;0;
+mean: 0.25
+utlization;node/Processor_1;1225666800000;1;
+utlization;node/Processor_1;1225684800000;0;
+mean: 1.0
+utlization;node/Processor_2;1225666800000;0;
+utlization;node/Processor_2;1225684800000;0;
+mean: 0.0
+utlization;node/Processor_3;1225666800000;0;
+utlization;node/Processor_3;1225684800000;0;
+mean: 0.0
+utlization;node/Processor_4;1225666800000;0;
+utlization;node/Processor_4;1225684800000;0;
+mean: 0.0
Index: DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_Simulation.txt
===================================================================
--- DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_Simulation.txt	(revision 1604)
+++ DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_Simulation.txt	(revision 1604)
@@ -0,0 +1,14 @@
+Resource name;mean;stdev;variance;minimum;maximum;sum;count;
+Delayed tasks;0;0;0;0;0;0;1;
+Failed requests (tasks);0;0;0;0;0;0;1;
+Makespan;18,000;0;0;18,000;18,000;18,000;1;
+Resources queue length;0;0;0;0;0;0;1;
+Resources total load;0.25;0;0;0.25;0.25;0.25;1;
+Energy usage;-25;0;0;-25;-25;-25;1;
+Task completion time;13,200;3,394.113;11,520,000;10,800;18,000;79,200;6;
+Task execution time;13,200;3,394.113;11,520,000;10,800;18,000;79,200;6;
+Task start time;0;0;0;0;0;0;6;
+Task flow time;13,200;3,394.113;11,520,000;10,800;18,000;79,200;6;
+Task waiting time;0;0;0;0;0;0;6;
+Task lateness;0;0;0;0;0;0;6;
+Task tardiness;0;0;0;0;0;0;6;
Index: DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_Tasks.txt
===================================================================
--- DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_Tasks.txt	(revision 1604)
+++ DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_Tasks.txt	(revision 1604)
@@ -0,0 +1,7 @@
+JobID;TaskID;UserDN;SchedName;CpuCnt;ExecStartDate;ExecFinishDate;ExecEndDate;GB_SubDate;LB_SubDate;CompletionTime;ExecStartTime;ExecutionTime;ReadyTime;StartTime;FlowTime;WaitingTime;GQ_WaitingTime;Lateness;Tardiness;ReservStartDate;ReservFinishDate;HostNames;ProcessorName;Energy;AppName;
+1;0;-1;cluster;1;1225666800;1225684800;1225684800;1225666800;1225666800;18000;0;18000;0;0;18000;0;0;0;0;0;0;[node];[node/Processor_1];0;null;
+1;1;-1;cluster;1;1225666800;1225684800;1225684800;1225666800;1225666800;18000;0;18000;0;0;18000;0;0;0;0;0;0;[node];[node/Processor_1];0;null;
+1;2;-1;cluster;1;1225666800;1225677600;1225677600;1225666800;1225666800;10800;0;10800;0;0;10800;0;0;0;0;0;0;[node];[node/Processor_1];0;null;
+1;3;-1;cluster;1;1225666800;1225677600;1225677600;1225666800;1225666800;10800;0;10800;0;0;10800;0;0;0;0;0;0;[node];[node/Processor_1];0;null;
+1;4;-1;cluster;1;1225666800;1225677600;1225677600;1225666800;1225666800;10800;0;10800;0;0;10800;0;0;0;0;0;0;[node];[node/Processor_1];0;null;
+1;5;-1;cluster;1;1225666800;1225677600;1225677600;1225666800;1225666800;10800;0;10800;0;0;10800;0;0;0;0;0;0;[node];[node/Processor_1];0;null;
Index: DCWoRMS/branches/coolemall/src/test/stencils_result/experiment.properties
===================================================================
--- DCWoRMS/branches/coolemall/src/test/stencils_result/experiment.properties	(revision 1604)
+++ DCWoRMS/branches/coolemall/src/test/stencils_result/experiment.properties	(revision 1604)
@@ -0,0 +1,27 @@
+# Use single *.swf file as workload description.
+
+# Path to xml file which describes resource characteristics.
+resdesc=src/test/stencils/stencils.xml
+
+# and swf file, which name is declared by readscenario.workloadfilename parameter.
+# Swf file must be placed in readscenario.inputfolder directory.  
+readscenario.workloadfilename=workload.swf
+
+# Choose directory where all result files should be placed.
+stats.outputfolder=src/test/stencils_result
+readscenario.inputfolder=src/test/stencils/workload
+# Define the type and content of charts to generate
+
+# Gantt chart
+#creatediagrams.gantt=true
+
+# Shows the execution times of tasks
+creatediagrams.tasks=true
+
+# Shows the waiting times of tasks
+#creatediagrams.taskswaitingtime=true
+
+# Resource utilization chart - only for processors
+creatediagrams.resutilization=Node
+creatediagrams.respowerusage=Node
+
Index: DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_ResourceOccupancy.txt
===================================================================
--- DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_ResourceOccupancy.txt	(revision 1604)
+++ DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_ResourceOccupancy.txt	(revision 1604)
@@ -0,0 +1,17 @@
+utlization;node;1225666800000;1.5;
+utlization;node;1225677600000;0.5;
+utlization;node;1225684800000;0;
+mean: 1.1
+utlization;node/Processor_1;1225666800000;6;
+utlization;node/Processor_1;1225677600000;2;
+utlization;node/Processor_1;1225684800000;0;
+mean: 4.4
+utlization;node/Processor_2;1225666800000;0;
+utlization;node/Processor_2;1225684800000;0;
+mean: 0.0
+utlization;node/Processor_3;1225666800000;0;
+utlization;node/Processor_3;1225684800000;0;
+mean: 0.0
+utlization;node/Processor_4;1225666800000;0;
+utlization;node/Processor_4;1225684800000;0;
+mean: 0.0
Index: DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_Jobs.txt
===================================================================
--- DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_Jobs.txt	(revision 1604)
+++ DCWoRMS/branches/coolemall/src/test/stencils_result/Stats_Simulation_1_Jobs.txt	(revision 1604)
@@ -0,0 +1,2 @@
+jobID;meanTaskCompletionTime;meanTaskExecutionTime;meanTaskStartTime;meanTaskFlowTime;meanTaskWaitingTime;meanTaskGQ_WaitingTime;lateness;tardiness;makespan;
+1;13,200;13,200;0;13,200;0;0;0;0;18,000;
Index: DCWoRMS/branches/coolemall/src/test/stencils/stencils.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/stencils/stencils.xml	(revision 1604)
+++ DCWoRMS/branches/coolemall/src/test/stencils/stencils.xml	(revision 1604)
@@ -0,0 +1,162 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCwormsResSchema.xsd">
+
+	<timeEstimationPlugin>
+		<name>test.stencils.plugins.StencilTimeEstimationPlugin</name>
+	</timeEstimationPlugin>
+	<!-- Simple data center description -->
+	<resources>
+		<computingResource class="Node" name="node">
+			<profile>
+				<powerProfile>
+					<energyEstimationPlugin>
+						<name>test.stencils.plugins.NodeEnergyEstimationPlugin</name>
+					</energyEstimationPlugin>
+				</powerProfile>
+			</profile>
+
+			<device class="CommunicationBus">
+				<profile>
+					<powerProfile>
+						<energyEstimationPlugin>
+							<name>test.stencils.plugins.CommunicationBusEnergyEstimationPlugin</name>
+						</energyEstimationPlugin>
+					</powerProfile>
+				</profile>
+				<parameter name="sides">
+					<property name="name1">
+						<value>Processor_1</value>
+					</property>
+					<property name="name2">
+						<value>Processor_2</value>
+					</property>
+				</parameter>
+				<parameter name="timeCost">
+					<property name="name1">
+						<value>10</value>
+					</property>
+				</parameter>
+				<parameter name="energyCost">
+					<property name="name1">
+						<value>20</value>
+					</property>
+				</parameter>
+			</device>
+
+			<device class="CommunicationBus">
+				<profile>
+					<powerProfile>
+						<energyEstimationPlugin>
+							<name>test.stencils.plugins.CommunicationBusEnergyEstimationPlugin</name>
+						</energyEstimationPlugin>
+					</powerProfile>
+				</profile>
+				<parameter name="sides">
+					<property name="name1">
+						<value>Processor_1</value>
+					</property>
+					<property name="name2">
+						<value>Processor_3</value>
+					</property>
+				</parameter>
+			</device>
+
+			<device class="CommunicationBus">
+				<profile>
+					<powerProfile>
+						<energyEstimationPlugin>
+							<name>test.stencils.plugins.CommunicationBusEnergyEstimationPlugin</name>
+						</energyEstimationPlugin>
+					</powerProfile>
+				</profile>
+				<parameter name="sides">
+					<property name="name1">
+						<value>Processor_1</value>
+					</property>
+					<property name="name2">
+						<value>Processor_4</value>
+					</property>
+				</parameter>
+			</device>
+
+			<device class="CommunicationBus">
+				<profile>
+					<powerProfile>
+						<energyEstimationPlugin>
+							<name>test.stencils.plugins.CommunicationBusEnergyEstimationPlugin</name>
+						</energyEstimationPlugin>
+					</powerProfile>
+				</profile>
+				<parameter name="sides">
+					<property name="name1">
+						<value>Processor_2</value>
+					</property>
+					<property name="name2">
+						<value>Processor_3</value>
+					</property>
+				</parameter>
+			</device>
+
+			<device class="CommunicationBus">
+				<profile>
+					<powerProfile>
+						<energyEstimationPlugin>
+							<name>test.stencils.plugins.CommunicationBusEnergyEstimationPlugin</name>
+						</energyEstimationPlugin>
+					</powerProfile>
+				</profile>
+				<parameter name="sides">
+					<property name="name1">
+						<value>Processor_2</value>
+					</property>
+					<property name="name2">
+						<value>Processor_4</value>
+					</property>
+				</parameter>
+			</device>
+
+			<device class="CommunicationBus">
+				<profile>
+					<powerProfile>
+						<energyEstimationPlugin>
+							<name>test.stencils.plugins.CommunicationBusEnergyEstimationPlugin</name>
+						</energyEstimationPlugin>
+					</powerProfile>
+				</profile>
+				<parameter name="sides">
+					<property name="name1">
+						<value>Processor_3</value>
+					</property>
+					<property name="name2">
+						<value>Processor_4</value>
+					</property>
+				</parameter>
+			</device>
+			<!-- Defined node contains 4 processors -->
+			<computingResource class="Processor" count="4">
+				<profile>
+					<powerProfile>
+						<energyEstimationPlugin>
+							<name>test.stencils.plugins.ProcessorEnergyEstimationPlugin</name>
+						</energyEstimationPlugin>
+					</powerProfile>
+				</profile>
+			</computingResource>
+
+		</computingResource>
+
+		<scheduler class="Cluster" name="cluster">
+			<!-- Definition of scheduling plugin at cluster level -->
+			<schedulingPlugin>
+				<name>test.stencils.plugins.Stencils_FCFSBF_RandomPlugin</name>
+			</schedulingPlugin>
+			<!-- Reference to managed resources - cluster manages resources belonging 
+				to the defined data center -->
+			<managedComputingResources include="false">
+				<resourceName>node</resourceName>
+			</managedComputingResources>
+		</scheduler>
+	</resources>
+
+</environment>
Index: DCWoRMS/branches/coolemall/src/test/stencils/stencilsTest.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/stencils/stencilsTest.xml	(revision 1604)
+++ DCWoRMS/branches/coolemall/src/test/stencils/stencilsTest.xml	(revision 1604)
@@ -0,0 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCwormsResSchema.xsd">
+
+	<timeEstimationPlugin>
+		<name>test.stencils.plugins.StencilTimeEstimationPlugin</name>
+	</timeEstimationPlugin>
+	<!-- Simple data center description -->
+	<resources>
+	<computingResource class="DataCenter" name="dc">
+		<computingResource class="Node" name="node" count="200000">
+			<profile>
+				<powerProfile>
+					<energyEstimationPlugin>
+						<name>test.stencils.plugins.NodeEnergyEstimationPlugin</name>
+					</energyEstimationPlugin>
+				</powerProfile>
+			</profile>
+
+			<!-- Defined node contains 4 processors -->
+			<computingResource class="Processor" count="10">
+				<profile>
+					<powerProfile>
+						<energyEstimationPlugin>
+							<name>test.stencils.plugins.ProcessorEnergyEstimationPlugin</name>
+						</energyEstimationPlugin>
+					</powerProfile>
+				</profile>
+			</computingResource>
+
+		</computingResource>
+	</computingResource>
+		<scheduler class="Cluster" name="cluster">
+			<!-- Definition of scheduling plugin at cluster level -->
+			<schedulingPlugin>
+				<name>test.stencils.plugins.Stencils_FCFSBF_RandomPlugin</name>
+			</schedulingPlugin>
+			<!-- Reference to managed resources - cluster manages resources belonging 
+				to the defined data center -->
+			<managedComputingResources include="false">
+				<resourceName>dc</resourceName>
+			</managedComputingResources>
+		</scheduler>
+	</resources>
+
+</environment>
Index: DCWoRMS/branches/coolemall/src/test/stencils/RunExperiment.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/stencils/RunExperiment.java	(revision 1604)
+++ DCWoRMS/branches/coolemall/src/test/stencils/RunExperiment.java	(revision 1604)
@@ -0,0 +1,19 @@
+package test.stencils;
+import simulator.DataCenterWorkloadSimulator;
+
+
+public class RunExperiment {
+	
+	public static void main(String args[]){
+		RunExperiment runner = new RunExperiment();
+		runner.run();
+	}
+	
+	public void run(){
+		String args[] = {
+				"src/test/stencils/stencils.properties"
+				};
+		DataCenterWorkloadSimulator.main(args);
+	}
+
+}
Index: DCWoRMS/branches/coolemall/src/test/stencils/stencils.properties
===================================================================
--- DCWoRMS/branches/coolemall/src/test/stencils/stencils.properties	(revision 1604)
+++ DCWoRMS/branches/coolemall/src/test/stencils/stencils.properties	(revision 1604)
@@ -0,0 +1,27 @@
+# Use single *.swf file as workload description.
+
+# Path to xml file which describes resource characteristics.
+resdesc=src/test/stencils/stencils.xml
+
+# and swf file, which name is declared by readscenario.workloadfilename parameter.
+# Swf file must be placed in readscenario.inputfolder directory.  
+readscenario.workloadfilename=workload.swf
+
+# Choose directory where all result files should be placed.
+stats.outputfolder=src/test/stencils_result
+readscenario.inputfolder=src/test/stencils/workload
+# Define the type and content of charts to generate
+
+# Gantt chart
+#creatediagrams.gantt=true
+
+# Shows the execution times of tasks
+creatediagrams.tasks=true
+
+# Shows the waiting times of tasks
+#creatediagrams.taskswaitingtime=true
+
+# Resource utilization chart - only for processors
+creatediagrams.resutilization=Node
+creatediagrams.respowerusage=Node
+